> For the complete documentation index, see [llms.txt](https://milonics.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://milonics.gitbook.io/api-documentation/getting-started/errors.md).

# Errors

Insurpass uses conventional HTTP response codes to indicate the success or failure of an API request.

```javascript
API KEY HEADER ERROR
{
"error": "strings"
}

General error message
{
"success": false,
"message": "strings"
}
```

## Response Codes

| Code         | What it means                            |
| ------------ | ---------------------------------------- |
| `FRT001`     | Validation Error                         |
| `FRT002`     | Product does not exit                    |
| `FRT003`     | Price does not match any of our products |
| `FRT004`     | User was not created                     |
| `FRT005`     | Subscription could not be created        |
| `FRT006`     | Transaction could not be created         |
| `FRT007`     | Error when creating plan from AXA        |
| `FRT009`     | Policy number is not valid               |
| `FRT010`     | User does not exist                      |
| `FTR011`     | Subscription product was not found       |
| `FRT012`     | Subscription amount is incorrect         |
| `FRT013`     | Subscription renewed successfully        |
| `FRT014`     | Unable to get Merchant Subscribers       |
| `FRT015`     | Merchant subscription get-successful     |
| `FRTO16`     | Subscription is inactive                 |
| `FRT017`     | Single subscription get-successful       |
| `FRT018`     | All products get-successful              |
| `FRT019`     | Product not found                        |
| `FRT020`     | Product has been disabled                |
| `FRT021`     | Pharmacy not found                       |
| `FRT022`     | Pharmacy get-successful                  |
| `FRT023`     | Pharmacy request successful              |
| `FRT088`     | Verify Subscription Transaction          |
| `FRT908`     | Initiate Subscription Transaction        |
| `FRT909`     | Get Malaria product                      |
| **`QOT101`** | Get quote-price was successful           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://milonics.gitbook.io/api-documentation/getting-started/errors.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
